%global version_suffix 201501210735-r

Name:			eclipse-egit-github
Version:		3.6.2
Release:		1%{?dist}
Summary:		Eclipse EGit Mylyn GitHub Connector

License:		EPL
URL:			http://www.eclipse.org/egit/
Source0:		https://git.eclipse.org/c/egit/egit-github.git/snapshot/egit-github-%{version}.%{version_suffix}.tar.bz2
BuildArch:		noarch
BuildRequires:	tycho
BuildRequires:	google-gson
BuildRequires:	hamcrest
BuildRequires:	eclipse-egit
BuildRequires:	eclipse-jgit >= 3.5.0-3
BuildRequires:	eclipse-mylyn
BuildRequires:	eclipse-mylyn-docs-wikitext

Requires:		eclipse-platform
Requires:		eclipse-egit
Requires:		eclipse-jgit >= 3.5.0-3

%description
Create task repositories for working with GitHub issues 
and Gists.

%prep
%setup -q -n egit-github-%{version}.%{version_suffix} 

%pom_xpath_remove "pom:repositories"

# comment out tests
%pom_xpath_remove "pom:modules/pom:module[position()=5]"

# change upper version from 2.2.0 to 2.3.0 for google-gson
pushd org.eclipse.egit.github.core/META-INF
sed -i '/google.gson/ { s/2.2.0/2.3.0/ }' MANIFEST.MF
popd

# remove dependencies for maven-antrun-plugin 
%pom_remove_dep ant:optional org.eclipse.mylyn.github.doc

# change upper version from 2.0.0 to 3.0.0 for github.doc
pushd org.eclipse.mylyn.github.doc/META-INF
sed -i '/eclipse.mylyn/ { s/2.0.0/3.0.0/ }' MANIFEST.MF
popd

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.eclipse.mylyn.github-feature/epl-v10.html
%doc org.eclipse.mylyn.github-feature/license.html
%doc org.eclipse.egit.github.core/about.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/Updating-This-Document.html
%doc org.eclipse.mylyn.github.doc/help/EGit/GitHub/User_Guide/User-Guide.html


%changelog
* Fri Jan 23 2015 Alexander Kurtakov <akurtako@redhat.com> 3.6.2-1
- Update to upstream 3.6.2 release.

* Mon Jan 5 2015 Alexander Kurtakov <akurtako@redhat.com> 3.6.0-1
- Update to 3.6.0.

* Tue Nov 11 2014 Mat Booth <mat.booth@redhat.com> - 3.5.0-1
- Update to 3.5.0 and clean up spec a bit

* Wed Sep 17 2014 Alexander Kurtakov <akurtako@redhat.com> 3.4.0-2
- Fix build with latest tycho/xmvn. 

* Thu Jul 10 2014 Alexander Kurtakov <akurtako@redhat.com> 3.4.0-1
- Update to upstream 3.4.0.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-1
- Update to upstream version 3.3.0.

* Thu Jan 23 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.2.0-1
- Update to upstream version 3.2.0
- Install Maven metadata for egit.github.core, resolves: rhbz#1056937

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-1
- Update to 3.0.0.
- Fixed the source to point to correct source file.

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-5
- added Requires: eclipse-egit

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-3
- Changed eclipse-egit --> BuildRequires: eclipse-egit to build on f19

* Fri Jun 07 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-2
- Removed duplicate about.htmls
- Fixed changelog
- Made symlink to google-gson
- Changed BuildRequires: eclipse-egit --> Requires: eclipse-egit

* Wed Jun 05 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-1
- Initial packaging of eclipse-egit-github
